package intrinsic.mx.collections;

public class ModifiedCollectionView extends Object implements intrinsic.flash.events.IEventDispatcher, intrinsic.mx.collections.ICollectionView {

	/** Accessors */
	public intrinsic.Function filterFunction;
	public int length;
	public boolean showPreservedState;
	public intrinsic.mx.collections.Sort sort;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";
	public static final String REPLACED = "replaced";
	public static final String REPLACEMENT = "replacement";
	public static final String ADDED = "added";
	public static final String REMOVED = "removed";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ModifiedCollectionView() {
}

public ModifiedCollectionView(Object arg0) {
}


/** Static Methods */

/** Methods */
//public native intrinsic.ModifiedCollectionView.as$473.ModifiedCollectionViewBookmark getBookmark(intrinsic.ModifiedCollectionView.as$473.ModifiedCollectionViewCursor arg0);
public native void removeItem(intrinsic.mx.collections.ItemWrapper arg0);
public native int getBookmarkIndex(intrinsic.mx.collections.CursorBookmark arg0);
public native boolean contains(Object arg0);
public native boolean dispatchEvent(intrinsic.flash.events.Event arg0);
public native boolean hasEventListener(String arg0);
public native void removeEventListener(String arg0, intrinsic.Function arg1);
public native void removeEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void enableAutoUpdate();
public native void disableAutoUpdate();
public native void itemUpdated(Object arg0);
public native void itemUpdated(Object arg0, Object arg1);
public native void itemUpdated(Object arg0, Object arg1, Object arg2);
public native void itemUpdated(Object arg0, Object arg1, Object arg2, Object arg3);
public native intrinsic.mx.collections.IViewCursor createCursor();
public native boolean refresh();
//public native Object getWrappedItemUsingCursor(intrinsic.ModifiedCollectionView.as$473.ModifiedCollectionViewCursor arg0, int arg1);
public native boolean willTrigger(String arg0);
public native void addEventListener(String arg0, intrinsic.Function arg1);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public native void processCollectionEvent(intrinsic.mx.events.CollectionEvent arg0, int arg1, int arg2);
public native String getSemantics(intrinsic.mx.collections.ItemWrapper arg0);
public native void addItem(intrinsic.mx.collections.ItemWrapper arg0);

}
